- Qt 6.4
- Qt SCXML
- QML Types
- StateMachineLoader
- Qt 6.4.3 Reference Documentation

# StateMachineLoader QML Type

Dynamically loads an SCXML document and instantiates the state machine. More...

Import Statement: | import QtScxml 6.4
Since: | QtScxml 5.7

- List of all members, including inherited members

## Properties

- source : url
- stateMachine : ScxmlStateMachine

## Detailed Description

## Property Documentation

source : url

The URL of the SCXML document to load. Only synchronously accessible URLs are supported.

stateMachine : ScxmlStateMachine

The state machine instance.